Bug 183022 - Keyboard mapped incorrectly during installation
Keyboard mapped incorrectly during installation
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks: FC5Blocker
  Show dependency treegraph
 
Reported: 2006-02-25 09:19 EST by Fred New
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-28 03:55:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fred New 2006-02-25 09:19:10 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.1) Gecko/20060210 Fedora/1.5.0.1-3 Firefox/1.5.0.1

Description of problem:
During the beginning of the FC5T3 installation, the Estonian (et) and Finnish (fi) keyboards are mapped incorrectly - pressing number keys on the main keyboard results in odd characters.  Fortunately, you can get numbers if you press NumLock and use the numeric pad.

Version-Release number of selected component (if applicable):
anaconda-10.92.5-1

How reproducible:
Always

Steps to Reproduce:
1. Start installing FC5T3.
2. Select "hard disk" installation.
3. Select English as the installation language.
4. Select the et or fi keyboard.
5. Select a device for the hard disk partition.
6. Enter a directory name like "fc5"

Actual Results:  When you press "5" you get "(".

Expected Results:  The "5" key should give you a "5".

Additional info:

More keyboard configurations could be affected.  The no, sv, uk and us keyboards don't seem to have this problem.  I never had this problem with prior releases of Fedora Core.  Other number numeric keys on the main portion of the Estonian keyboard are mapped thusly:
1-&
2-<E9>  (These are just the characters that appear.)
3-"
4-'
5-(
6--
7-<E8>
8-space
9-<E7>
0-<E0>
+-)
'-=

If you press one of the keys like 2, the backspace key stops working and you are unable to correct the name of the directory without using the BACK button.
Comment 1 gagarine 2006-02-25 15:07:02 EST
I have the same problème with fr_ch keyboard.
It's very ennuying when you chose you root password... I take only digit but's
is not a solution.
Comment 2 Fred New 2006-02-26 10:53:07 EST
I can't duplicate this problem for the fr-CH keyboard.  (But I'm using and
Estonian keyboard, so my scan codes may be wrong.)  This bug deals with the
early part of the installation before the installer has been able to read any of
the installation media besides the isolinux boot kernel and its initrd.img.  It
may be wrong to blame Anaconda for this bug.
Comment 3 Jeremy Katz 2006-02-27 12:04:26 EST
Does it work properly on the console after installation?  This is something that
keeps happening somewhat spuriously on various keymaps and I'm wanting to lean
towards blaming something about the compose process.
Comment 4 Fred New 2006-02-27 15:25:58 EST
Yes, the virutal consoles are correct once the installation completes.  I just
tested rescue mode and it has the same key mapping problem.
Comment 5 David Cantrell 2006-02-27 16:01:10 EST
I had "rescue mode keymaps/LANG?" on my whiteboard.  The question mark was a
reminder to me to figure out if that stuff applied to rescue mode.  This bug
answers my question.

Jeremy, if you want me to take this one, I will.
Comment 6 Jeremy Katz 2006-02-27 16:48:59 EST
The changes I'm making now should hopefully fix this.  If you could try with
tomorrow's (20060228) development tree to confirm that things are good, I would
appreciate it.
Comment 7 Fred New 2006-02-28 03:55:23 EST
Oops.  The initrd.img (and vmlinuz) dated 27-02-2006 don't have this problem
while the files issued with FC5T3 dated 16-02-2006 have the problem.  I wish I
would have thought of trying the development tree earlier so I could tell you
when this got fixed.

Note You need to log in before you can comment on or make changes to this bug.